import { _decorator, AudioClip, AudioSource, Component, Node } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('NewComponent')
export class NewComponent extends Component {

    @property(AudioClip) audioClip: AudioClip = null!;
    private audioSource: AudioSource = null!;
    start() {
        this.schedule(() => {
            if (this.audioSource) {
                this.audioSource.play();
            } else {
                this.audioSource = this.node.addComponent(AudioSource);
                this.audioSource.clip = this.audioClip;
                this.audioSource.playOnAwake = false;
                this.audioSource.loop = false;
                this.audioSource.play();
            }
        }, 0.1);
    }

    update(deltaTime: number) {

    }
}


